<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Students</title>
    <link rel="stylesheet" href="styles.css" />
  </head>

  <body>
    <nav>
      <ul class="top-panel">
        <li class="left-content"><span>CMS</span></li>
        <li class="right-content">
          <span class="account">Maksym Vitushynskyi</span>
        </li>

        <li class="right-content profile-icon">
          <img src="/icons/profile-icon.png" alt="Account" class="icon panel" />
          <div class="profile-dropdown">
            <a href="#">Profile</a>
            <a href="#">Log out</a>
          </div>
        </li>

        <li class="right-content">
          <div class="circle-animation">
            <img
              src="/icons/bell_icon.png"
              alt="Дзвіночок"
              class="icon panel"
              id="bell_icon"
            />
            <div class="circle-image green"></div>
            <div class="notification-panel">
              <div class="profile-info">
                <img
                  src="/icons/profile-icon.png"
                  alt="Admin 1 Avatar"
                  class="profile-avatar"
                />
                <div class="sender-message"></div>
                <div class="message-rectangle"></div>
              </div>

              <div class="profile-name">Admin 1</div>
              <div class="profile-info">
                <img
                  src="/icons/profile-icon.png"
                  alt="Admin 2 Avatar"
                  class="profile-avatar"
                />
                <div class="sender-message"></div>
                <div class="message-rectangle"></div>
              </div>
              <div class="profile-name">Admin 2</div>
            </div>
          </div>
        </li>
      </ul>
    </nav>

    <section>
      <nav class="sidebar">
        <ul>
          <li><a href="#">Dashboard</a></li>
          <li><a href="#">Students</a></li>
          <li><a href="#">Tasks</a></li>
        </ul>
      </nav>
    </section>

    <main>
      <header>
        <h1>Students</h1>
        <button id="add-row-button" class="button"></button>
      </header>

      <!-- Віконечко для додавання запису -->
      <div id="add-row-modal" class="modal">
        <div class="modal-content">
          <span class="close">&times;</span>
          <h2>Add student</h2>
          <form id="add-record-form">
            <label for="group">Group:</label>
            <select id="group">
              <option value="PZ-21">PZ-21</option>
              <option value="PZ-22">PZ-22</option>
              <option value="PZ-23">PZ-23</option>
              <option value="PZ-24">PZ-24</option>
              <option value="PZ-25">PZ-25</option>
              <option value="PZ-26">PZ-26</option>
              <option value="PZ-27">PZ-27</option></select
            ><br />
            <label for="first-name">First Name:</label>
            <input type="text" id="first-name" name="first-name" /><br />

            <label for="last-name">Last Name:</label>
            <input type="text" id="last-name" name="last-name" /><br />

            <label for="gender">Gender:</label>
            <select id="gender">
              <option value="male">Male</option>
              <option value="female">Female</option></select
            ><br />

            <label for="birthday">Birthday:</label>
            <input type="date" id="birthday" name="birthday" /><br />

            <button type="submit" id="ok-button">Ok</button>
            <button type="button" id="cancel-button">Cancel</button>
          </form>
        </div>
      </div>
      <div class="data-table-container">
        <table id="data-table">
          <tr>
            <th class="column0 checkbox-cell"><div class="checkbox"></div></th>
            <th class="column1">Group</th>
            <th class="column2">Name</th>
            <th class="column3">Gender</th>
            <th class="column4">Birthday</th>
            <th class="column5">Status</th>
            <th class="column6">Options</th>
          </tr>
          <tr>
            <td class="checkbox-cell"><div class="checkbox"></div></td>
            <td>PZ-21</td>
            <td>John Smith</td>
            <td>M</td>
            <td>11.05.2004</td>
            <td class="circle-cell"><div class="circle green"></div></td>
            <td>
              <button id="edit-row-button" class="button"></button>
              <button id="delete-row-button" class="button"></button>
            </td>
          </tr>
          <tr>
            <td class="checkbox-cell"><div class="checkbox"></div></td>
            <td>PZ-22</td>
            <td>Ann Bond</td>
            <td>F</td>
            <td>24.04.2004</td>
            <td class="circle-cell"><div class="circle gray"></div></td>
            <td>
              <button id="edit-row-button" class="button"></button>
              <button id="delete-row-button" class="button"></button>
            </td>
          </tr>
        </table>
      </div>
    </main>
    <div class="pagination">
      <button class="page-button arrow-button">&lt;</button>
      <button class="page-button">1</button>
      <button class="page-button">2</button>
      <button class="page-button">3</button>
      <button class="page-button arrow-button">&gt;</button>
    </div>
    <script src="script.js"></script>
  </body>
</html>
